#ifndef LOGINWIDGET_H
#define LOGINWIDGET_H
/*
    des: login Widget 登录窗口
    author:zhangyiming

*/
#include <QWidget>
#include <QLabel>
#include <QLineEdit>
#include <QPushButton>
class  LoginWidget:public  QWidget
{
    Q_OBJECT
public:
    explicit LoginWidget(QWidget * parent = NULL);
    virtual ~LoginWidget( );
    void  init();
    void  initLay();
    bool  initConnect();
private slots:
    void slotlogIn();

private:
    //多通道无线脑电采集系统
    QLabel m_labDes;
    QLabel m_labImage;
    //用户名
    QLabel m_labUser;
    QLineEdit m_editUser;
    //密码
    QLabel m_labpasswd;
    QLineEdit m_editpasswd;

    QPushButton m_btnLogin;
};
#endif // LOGINWIDGET_H
